CFSETISPEED(3P)

NAME
cfsetispeed - set input baud rate

SYNOPSIS

#include <termios.h>

int cfsetispeed(struct termios *termios_p, speed_t speed);

DESCRIPTION

The cfsetispeed() function shall set the input baud rate stored in the structure pointed to by termios_p to speed.

There shall be no effect on the baud rates set in the hardware until a subsequent successful call to tcsetattr() with the same termios structure. Similarly, errors resulting from attempts to set baud rates not supported by the terminal device need not be detected until the tcsetattr() function is called.

RETURN VALUE

Upon successful completion, cfsetispeed() shall return 0; otherwise, -1 shall be returned, and errno may be set to indicate the error.

ERRORS

The cfsetispeed() function may fail if:

EINVAL
    The speed value is not a valid baud rate.

EINVAL
    The value of speed is outside the range of possible speed values as specified in <termios.h>.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

Refer to cfgetispeed() .

FUTURE DIRECTIONS

None.

SEE ALSO

cfgetispeed() , cfgetospeed() , cfsetospeed() , tcsetattr() , the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 11, General Terminal Interface, <termios.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .